import { useQuery } from '@tanstack/react-query'
import { getSeccion } from '../api/getSeccion'

export function useSeccion(id: number) {
  return useQuery({
    queryKey: ['secciones', 'detail', id],
    queryFn: () => getSeccion(id),
    enabled: !!id,
    staleTime: 15_000,
  })
}
